Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class DataMapException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cayenne.CayenneException
                  org.apache.cayenne.map.DataMapException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. since 1.2 unused - CayenneRuntimeException is thrown in cases where this checked exception was used.

    public class DataMapException

extends CayenneException

A DataMapException is thrown to indicate problemes with DataMap loading.

Author:
  Michael Misha Shengaout, Andrei Adamchik
See Also:
  Serialized Form

Constructor Summary
`DataMapException()` Deprecated.
`DataMapException(java.lang.String msg)` Deprecated.
`DataMapException(java.lang.String message, java.lang.Throwable cause)` Deprecated.
`DataMapException(java.lang.Throwable cause)` Deprecated.

Method Summary

Methods inherited from class org.apache.cayenne.CayenneException
`getExceptionLabel, getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataMapException

    public DataMapException()

  Deprecated.

### DataMapException

    public DataMapException(java.lang.String message,
                            java.lang.Throwable cause)

  Deprecated.

### DataMapException

    public DataMapException(java.lang.Throwable cause)

  Deprecated.

### DataMapException

    public DataMapException(java.lang.String msg)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.